apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: {{ .Values.namespace }}
  name: k8s-mysql-database
  labels:
    app: db
    app.kubernetes.io/instance: {{ .Release.Name }}
    helm.sh/char: {{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}
spec:
  replicas: {{ .Values.replicaCountDB }}
  selector:
    matchLabels:
      app: db
  template:
    metadata:
      labels:
        app: db
    spec:
      nodeSelector:
        topology.ebs.csi.aws.com/zone: eu-west-1a
      containers:
        - name: {{ .Values.database.image.name }}
          image: {{ .Values.database.image.repository }}:{{ .Values.version }}
          ports:
          - containerPort: {{ .Values.database.image.containerPort }}
          envFrom:
          - secretRef:
              name: {{ .Values.dbSecrets.name }}
          volumeMounts:
            - name: mysql-cnf
              mountPath: /etc/mysql/conf.d/
            - name: mysql-persistent-storage 
              mountPath: /var/lib/mysql
      volumes:
        - name: mysql-cnf
          configMap:
            # Provide the name of the ConfigMap containing the files you want
            # to add to the container
            name: mysql-cnf
        - name: mysql-persistent-storage
          persistentVolumeClaim:
            claimName: {{ .Values.database.persistentVolume.pvcName }}